<?php /* Post Format: Image */ ?>

<?php
$kanso_sd_postlink = kanso_sd_urlgrabber();
$kanso_sd_thumb = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'medium' );
if ( !empty ( $kanso_sd_postlink ) ) {
	$kanso_sd_postimage = '<div class="post-format-image"><img src="'.$kanso_sd_postlink.'"></div>';	
}
else {
	$kanso_sd_postimage = '<div class="post-format-image"><img src="'.$kanso_sd_thumb.'"></div>';
} 
?>


<div id="post-<?php the_ID(); ?>" <?php post_class('post-single'); ?>>
	
	<?php if ( is_single() || is_home() || is_category() || is_date() || is_author() || is_tag()  || is_search() ) { ?>
    
    <div class="post-wrapper">
        <div class="post-header">
            <?php if ( is_single() ) { ?>
            <?php if ( get_post_meta( $post->ID, '_cmb_page_title', true ) == false ) { ?>
            	<h1>
					<a>
						<?php the_title(); ?>
                	</a>
                </h1>
            <?php } ?>
            <?php } else { ?>
            	<h2><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
            <?php } ?>
        </div><!--.post-header-->

        <div class="post-content">
            <?php echo $kanso_sd_postimage; ?>
        </div>
        <?php include 'part_post-meta.php'; ?>
        <div class="clearboth"></div>   
    </div>
    
    <?php } else { ?>
    
    <?php 
	if ( has_post_thumbnail() ) {
		$kanso_sd_imagelarge = $kanso_sd_thumb[0];
		if ( !empty ( $kanso_sd_postlink ) ) {
			$kanso_sd_imagesmall = $kanso_sd_postlink;	
		} else {
			$kanso_sd_imagesmall = $kanso_sd_imagelarge[0];	
		} 
	} else {
		$kanso_sd_imagelarge = $kanso_sd_postlink;
		$kanso_sd_imagesmall = $kanso_sd_postlink;	
	}
	?>
    
    <?php $kanso_sd_ov_img = kanso_sd_get_option_tree('show_overlays','',false,true,-1);
	if ( isset($kanso_sd_ov_img[1])  ) {
		if ( function_exists('kanso_sd_get_option_tree') && $kanso_sd_ov_img[1] == 'Image/Gallery' ) { ?>
    <div class="overlay-image overlay">
    	<i class="fa fa-camera"></i>
    </div>
    <?php }} ?>
    <?php 
	$image_id = get_post_thumbnail_id();
	$image_url = wp_get_attachment_image_src($image_id,'square', false);
	$postthumb = $image_url[0];
	$bck = 'style="background-image: url('.$postthumb.');"';
	?>
    <div class="inner-image-placeholder" id="post-<?php echo $post->ID; ?>-in" <?php echo $bck; ?>>
    	
        <a href="<?php echo $kanso_sd_imagesmall; ?>">
    		<div class="image-link-inner"></div>
    	</a>
        
		<?php if ( function_exists('kanso_sd_get_option_tree') && kanso_sd_get_option_tree('disable_captions') != 'Yes' ) { ?>
		<div class="image-post-overlay">
			<div class="image-post-overlay-in">
				<h4>
					<a>
						<?php the_title(); ?>
                	</a>
                </h4>
				<div class="clearboth"></div>
				<?php if ( has_excerpt( $post->ID ) ) { the_excerpt(); } ?>
			</div>
		</div>
		<?php } ?>
 
		<style type="text/css">
		<?php if ( !has_excerpt ( $post->ID ) ) { ?>
		#post-<?php echo $post->ID; ?>:hover {
			opacity: 0.6;
			-webkit-transition-duration: 0.5s;
   			-moz-transition-duration: 0.5s;
			-ms-transition-duration: 0.5s;
	 		-o-transition-duration: 0.5s;
			transition-duration: 0.5s;	
		}
		<?php } ?>
		</style>
    </div>    
	
	<?php } ?>
    
</div><!--.post-single-->