<?php /* Post Format: Video */ ?>

<?php
$kanso_sd_videolink = kanso_sd_video_grabber();
$kanso_sd_videocontent = preg_replace('/\s+/', '', $kanso_sd_videolink);
$kanso_sd_videocode = kanso_sd_getvideo ( $kanso_sd_videocontent, 400, 225 );
?>

<div id="post-<?php the_ID(); ?>" <?php post_class('post-single'); ?>>

    <?php if ( is_single() || is_home() || is_date() || is_category() || is_author() || is_tag()  || is_search() ) { // NOT portfolio item ?>
    
    <div class="post-wrapper">
        <div class="post-header">
            <?php if ( is_single() ) { ?>
            <?php if ( get_post_meta( $post->ID, '_cmb_page_title', true ) == false ) { ?>
            	<h1>
					<a>
						<?php the_title(); ?>
                	</a>
                </h1>
                <div class="clearboth">
                </div>
            <?php } ?>
            <?php } else if (is_home()) { ?>
            	<h2><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
            <?php } ?>
        </div><!--.post-header-->
        <div class="post-content">
        	<div class="video-container">
            	<?php echo $kanso_sd_videocode; ?>
            </div>
        </div>
        <?php include 'part_post-meta.php'; ?>
        <div class="clearboth"></div>   
    </div>
    
	<?php } else { // Portfolio item
	
		if ( has_post_thumbnail() ) { ?>
		
			<?php $kanso_sd_ov_vid = kanso_sd_get_option_tree('show_overlays','',false,true,-1);
			if ( isset($kanso_sd_ov_vid[2])  ) {
				if ( function_exists('kanso_sd_get_option_tree') && $kanso_sd_ov_vid[2] == 'Video' ) { ?>
			<div class="overlay-video overlay">
            	<i class="fa fa-play"></i>
            </div>
			<?php }} ?>
			<?php 
			$image_id = get_post_thumbnail_id();
			$image_url = wp_get_attachment_image_src($image_id,'square', false);
			$postthumb = $image_url[0];
			$bck = 'style="background-image: url('.$postthumb.');"';
			?>
			<div class="inner-image-placeholder" id="post-<?php echo $post->ID; ?>-in"  <?php echo $bck; ?>>
				
				<a href="<?php the_permalink() ?>">
					<div class="image-link-inner"></div>
				</a>
				
			</div>
			
		<?php } else { // if the post does not have a thumbnail - get a thumbnail directly from YouTube or Vimeo ?>
			
			<?php $kanso_sd_ov_vid = kanso_sd_get_option_tree('show_overlays','',false,true,-1);
			if ( isset($kanso_sd_ov_vid[2])  ) {
				if ( function_exists('kanso_sd_get_option_tree') && $kanso_sd_ov_vid[2] == 'Video' ) { ?>
			<div class="overlay-video overlay">
            	<i class="fa fa-play"></i>
            </div>
			<?php }} ?>
			
			<?php $kanso_sd_video_url = parse_url( $kanso_sd_videocontent );
			
			if ( $kanso_sd_video_url['host'] == 'youtube.com' || $kanso_sd_video_url['host'] == 'www.youtube.com' ) { ?>
			<div class="inner-image-placeholder" id="post-<?php echo $post->ID; ?>-in">
				<a href="<?php the_permalink() ?>">
					<div class="image-link-inner"></div>
				</a>
											
				<style type="text/css">
				#post-<?php echo $post->ID; ?>-in {
					<?php echo 'background-image: url("http://i.ytimg.com/vi/'.$kanso_sd_videocode.'/maxresdefault.jpg");'; ?>
				}
				</style>
				
			</div>
				
			<?php } elseif ( $kanso_sd_video_url['host'] == 'vimeo.com' || $kanso_sd_video_url['host'] == 'www.vimeo.com' ) { ?>
			<div class="inner-image-placeholder" id="vimeo-<?php echo $kanso_sd_videocode; ?>">
				<a href="<?php the_permalink() ?>">
					<div class="image-link-inner"></div>
				</a>
				<script type="text/javascript">vimeoLoadingThumb(<?php echo $kanso_sd_videocode; ?>);</script>
			</div>					
			<?php } ?>
								
		<?php } ?>
							
		<?php if ( function_exists('kanso_sd_get_option_tree') && kanso_sd_get_option_tree('disable_captions') != 'Yes' ) { ?>
		<div class="image-post-overlay">
			<div class="image-post-overlay-in">
				<h4>
					<a>
						<?php the_title(); ?>
                	</a>
                </h4>
				<div class="clearboth"></div>
				<?php if ( has_excerpt( $post->ID ) ) { the_excerpt(); } ?>
			</div>
		</div>
		<?php } 
	} ?>
			    
</div><!--.post-single-->